#include "epm_handler_common.h"

#include <tc\preferences.h>
#include <epm\epm.h>

#include <tccore\aom.h>

#include <string>

#include <map>
#include <vector>

#include "string"

using namespace std;
extern "C" int POM_AM__set_application_bypass(logical bypass);


int connor_test(EPM_action_message_t msg)
{
	printf("connor_test start\n");

	int ifail = ITK_ok, att_count;
	tag_t rootTask, *attachments;
	EPM_ask_root_task(msg.task, &rootTask);

	EPM_ask_attachments(rootTask, EPM_target_attachment, &att_count, &attachments);
	TC_argument_list_t * arguments = msg.arguments;
	int arg_cnt = TC_number_of_arguments(arguments);

	map<string, string> paras, judge_map;
	for (auto i = 0; i<arg_cnt; i++)
	{
		char *temp_key, *temp_val;
		ITK_ask_argument_named_value(TC_next_argument(arguments), &temp_key, &temp_val);
		paras[temp_key] = temp_val;
	}
	printf("connor_test completed\n");
	return ifail;
}

